Download it now!
Bug 86866 - In Help, describe AutoCorrect Options "Ok, Cancel, Reset" buttons (all tabs of dialog)
Summary: In Help, describe AutoCorrect Options "Ok, Cancel, Reset" buttons (all tabs o...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium minor
Assignee: Olivier Hallot
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2014-11-30 03:19 UTC by dg1727
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dg1727 2014-11-30 03:19:05 UTC
In the Tools > AutoCorrect Options... dialog, there is a Reset button.  This button doesn't seem to be documented in the Help topics that open when the user clicks the Help button.  (A different Help topic opens depending on which tab of the dialog is active.)  

The user may have some questions about this Reset button, such as:  

 * Does it reset options to the "factory defaults," or to what they were when the user most recently opened this dialog?  
 * Does it reset all tabs of the dialog, or only the active tab?  
 * Is there a confirmation dialog once this button is clicked?  

Issue noticed in LO 4.3.4.1.
Comment 1 tommy27 2014-11-30 08:51:05 UTC
actually the reset button deletes any of the new autocorrect entries you entered in the replacement table until you click ok.

I mean, if you add a "yellwo -> yellow" new replacement and you click NEW, then if you change your mind, instead of clicking OK (which stores the new autocorrect and exits the replacement table) you click on RESET which deletes the new entry 
but keeps the old one.

so it doesn't resets the whole dataset to the factory default but just to the last saved version... and there's no confirmation dialog.

regarding the documentation, it's true that that function is not documented.

see link here: https://help.libreoffice.org/4.3/Common/Replace

status NEW
Comment 2 tommy27 2014-11-30 09:37:42 UTC
to be honest, also the OK and CANCEL buttons have no description in the help (and never had since LiO 3.3.0).

so I'm editing summary notes, changing version field and adding this report to Bug 80430 - LOCALHELP: Features x Documentation gap meta issue

basically the functions are:

OK -> stores changes and exits the replacement table
CANCEL -> discard recent changes and exits the replacement table
RESET -> discard recent changes but leaves the replacement table open for further edit
Comment 3 dg1727 2014-12-01 11:12:08 UTC
tommy27's comments don't seem to confirm the following:  

>  * Does it reset all tabs of the dialog, or only the active tab?  

I verified as follows:  

1.  On the Exceptions tab, add an entry under "Words with TWo INitial CApitals."  
2.  On the Replace tab, add an entry such as "aobut -> about".  
3.  On the Replace tab, click Reset.  
4.  Verify that the entry just added on the Replace tab is gone, but the entry just added on the Exceptions tab is still there.  

So it appears the Reset button affects only the active tab.  

Maybe the documentation team would have noticed this, but I'm mentioning it again just to make sure.  

I have also updated the bug summary with "all tabs of dialog" per the first paragraph of comment 0.
Comment 4 QA Administrators 2015-12-20 16:20:08 UTC Comment hidden (obsolete)
Comment 5 Olivier Hallot 2016-02-15 16:18:54 UTC
Fix proposed

https://gerrit.libreoffice.org/#/c/22361/

Sumary:
Reset: Resets modified values back to the tab page previous values
Cancel:Closes dialog and discards all changes.
OK: Saves all changes and closes dialog.
Comment 6 Commit Notification 2016-02-16 08:35:43 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9f126548f1640b34521037502dc7a1bc0d0d3094

tdf#86866 describe AutoCorrect Options dialog btns